<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>XsFile Class Reference</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#related">Related Functions</a> &#124;
<a href="class_xs_file-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">XsFile Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Encapsulates a file, providing a platform independent interface.  
 <a href="struct_xs_file.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a27784d29fffcd7bbd64ebcac3838a6da"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a27784d29fffcd7bbd64ebcac3838a6da"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a27784d29fffcd7bbd64ebcac3838a6da">XsFile</a> ()</td></tr>
<tr class="memdesc:a27784d29fffcd7bbd64ebcac3838a6da"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor, creates an empty file object. <br /></td></tr>
<tr class="separator:a27784d29fffcd7bbd64ebcac3838a6da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87edab5e51cfebb84e72e5d252f5eea3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a87edab5e51cfebb84e72e5d252f5eea3"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a87edab5e51cfebb84e72e5d252f5eea3">~XsFile</a> ()</td></tr>
<tr class="memdesc:a87edab5e51cfebb84e72e5d252f5eea3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frees the resources of this object by closing the file if it is open. <br /></td></tr>
<tr class="separator:a87edab5e51cfebb84e72e5d252f5eea3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8582fe152a7255e5c8b5ca67efed3055"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8582fe152a7255e5c8b5ca67efed3055"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a8582fe152a7255e5c8b5ca67efed3055">create</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename, bool writeOnly)</td></tr>
<tr class="memdesc:a8582fe152a7255e5c8b5ca67efed3055"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new binary file with name <em>filename</em>, contents of existing files will be discarded. <br /></td></tr>
<tr class="separator:a8582fe152a7255e5c8b5ca67efed3055"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a483a38b4b36e88198bf5c319c7bc51"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0a483a38b4b36e88198bf5c319c7bc51"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a0a483a38b4b36e88198bf5c319c7bc51">createText</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename, bool writeOnly)</td></tr>
<tr class="memdesc:a0a483a38b4b36e88198bf5c319c7bc51"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new text file with name <em>filename</em>, contents of existing files will be discarded. <br /></td></tr>
<tr class="separator:a0a483a38b4b36e88198bf5c319c7bc51"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abeb15f66e9156306ac72a66c275a6954"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abeb15f66e9156306ac72a66c275a6954"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#abeb15f66e9156306ac72a66c275a6954">open</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;fileName, bool readOnly)</td></tr>
<tr class="memdesc:abeb15f66e9156306ac72a66c275a6954"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens an existing binary file with name <em>filename</em>. <br /></td></tr>
<tr class="separator:abeb15f66e9156306ac72a66c275a6954"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94606a8f7673985bbd86d61ed56788f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94606a8f7673985bbd86d61ed56788f7"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a94606a8f7673985bbd86d61ed56788f7">openText</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;fileName, bool readOnly)</td></tr>
<tr class="memdesc:a94606a8f7673985bbd86d61ed56788f7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens an existing binary file with name <em>filename</em>. <br /></td></tr>
<tr class="separator:a94606a8f7673985bbd86d61ed56788f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19d284800cfadc55727b6e642e27a912"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19d284800cfadc55727b6e642e27a912"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a19d284800cfadc55727b6e642e27a912">reopen</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;fileName, const <a class="el" href="struct_xs_string.html">XsString</a> &amp;mode)</td></tr>
<tr class="memdesc:a19d284800cfadc55727b6e642e27a912"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens an existing binary file with name <em>filename</em>. <br /></td></tr>
<tr class="separator:a19d284800cfadc55727b6e642e27a912"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd1d45d339b8579eb4b4c608fa1b75e2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd1d45d339b8579eb4b4c608fa1b75e2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#afd1d45d339b8579eb4b4c608fa1b75e2">isOpen</a> () const </td></tr>
<tr class="memdesc:afd1d45d339b8579eb4b4c608fa1b75e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if a file is open. <br /></td></tr>
<tr class="separator:afd1d45d339b8579eb4b4c608fa1b75e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbcf16ee971eceb9df989b392f336b7b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afbcf16ee971eceb9df989b392f336b7b"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#afbcf16ee971eceb9df989b392f336b7b">close</a> ()</td></tr>
<tr class="memdesc:afbcf16ee971eceb9df989b392f336b7b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Closes the file. <br /></td></tr>
<tr class="separator:afbcf16ee971eceb9df989b392f336b7b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceb6f38991748d7e705d45b8639c9600"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aceb6f38991748d7e705d45b8639c9600"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#aceb6f38991748d7e705d45b8639c9600">flush</a> ()</td></tr>
<tr class="memdesc:aceb6f38991748d7e705d45b8639c9600"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes unwritten data to the file. <br /></td></tr>
<tr class="separator:aceb6f38991748d7e705d45b8639c9600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae11888d6465fef63594c12da64feb1cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae11888d6465fef63594c12da64feb1cd"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#ae11888d6465fef63594c12da64feb1cd">truncate</a> (XsSize fileSize)</td></tr>
<tr class="memdesc:ae11888d6465fef63594c12da64feb1cd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reduces the file to a maximum size of <em>fileSize</em> bytes. <br /></td></tr>
<tr class="separator:ae11888d6465fef63594c12da64feb1cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae674123257080dcc3b60bda085b2e4b8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae674123257080dcc3b60bda085b2e4b8"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#ae674123257080dcc3b60bda085b2e4b8">resize</a> (XsSize fileSize)</td></tr>
<tr class="memdesc:ae674123257080dcc3b60bda085b2e4b8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resizes the file to <em>fileSize</em> bytes. <br /></td></tr>
<tr class="separator:ae674123257080dcc3b60bda085b2e4b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7e4bfcec25776af648c012af8531dd2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7e4bfcec25776af648c012af8531dd2"></a>
XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#af7e4bfcec25776af648c012af8531dd2">read</a> (void *destination, XsSize size, XsSize count)</td></tr>
<tr class="memdesc:af7e4bfcec25776af648c012af8531dd2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a number of elements from a file. <br /></td></tr>
<tr class="separator:af7e4bfcec25776af648c012af8531dd2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a319696a29e2ae35c9276370f897873c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a319696a29e2ae35c9276370f897873c0"></a>
XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a319696a29e2ae35c9276370f897873c0">write</a> (const void *source, XsSize size, XsSize count)</td></tr>
<tr class="memdesc:a319696a29e2ae35c9276370f897873c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a number of elements to a file. <br /></td></tr>
<tr class="separator:a319696a29e2ae35c9276370f897873c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef7aef85aed96bf3dad06b2c13d4090e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aef7aef85aed96bf3dad06b2c13d4090e"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#aef7aef85aed96bf3dad06b2c13d4090e">getc</a> ()</td></tr>
<tr class="memdesc:aef7aef85aed96bf3dad06b2c13d4090e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets and returns the next byte from a file. <br /></td></tr>
<tr class="separator:aef7aef85aed96bf3dad06b2c13d4090e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a48c332a76beb70bd95f20e1e5c71fa33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48c332a76beb70bd95f20e1e5c71fa33"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a48c332a76beb70bd95f20e1e5c71fa33">putc</a> (int character)</td></tr>
<tr class="memdesc:a48c332a76beb70bd95f20e1e5c71fa33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a character to the file. <br /></td></tr>
<tr class="separator:a48c332a76beb70bd95f20e1e5c71fa33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32f51eaac38c297e890c09e2804a5469"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32f51eaac38c297e890c09e2804a5469"></a>
char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a32f51eaac38c297e890c09e2804a5469">gets</a> (char *destination, int maxCount)</td></tr>
<tr class="memdesc:a32f51eaac38c297e890c09e2804a5469"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads characters from this file and stores them into str until (num-1) characters have been read or either a newline or the end-of-file is reached, whichever happens first. <br /></td></tr>
<tr class="separator:a32f51eaac38c297e890c09e2804a5469"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee8503915aae4fb783b2e8eeabc8ccea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee8503915aae4fb783b2e8eeabc8ccea"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#aee8503915aae4fb783b2e8eeabc8ccea">puts</a> (const char *source)</td></tr>
<tr class="memdesc:aee8503915aae4fb783b2e8eeabc8ccea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a null terminated c-string to the file. <br /></td></tr>
<tr class="separator:aee8503915aae4fb783b2e8eeabc8ccea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1bb1426f0c9ed949bcd99a4f6cdae627"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1bb1426f0c9ed949bcd99a4f6cdae627"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a1bb1426f0c9ed949bcd99a4f6cdae627">seek</a> (<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> offset)</td></tr>
<tr class="memdesc:a1bb1426f0c9ed949bcd99a4f6cdae627"><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the current file position relative to the start of the file. <br /></td></tr>
<tr class="separator:a1bb1426f0c9ed949bcd99a4f6cdae627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9df8b0d674f876dfd1a30a3ca81efaa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9df8b0d674f876dfd1a30a3ca81efaa"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#ad9df8b0d674f876dfd1a30a3ca81efaa">seek_r</a> (<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> offset)</td></tr>
<tr class="memdesc:ad9df8b0d674f876dfd1a30a3ca81efaa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the current file position relative to the end of the file. <br /></td></tr>
<tr class="separator:ad9df8b0d674f876dfd1a30a3ca81efaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a147524535826b4def3928d24597a117d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a147524535826b4def3928d24597a117d"></a>
<a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a147524535826b4def3928d24597a117d">tell</a> ()</td></tr>
<tr class="memdesc:a147524535826b4def3928d24597a117d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current position in the file. <br /></td></tr>
<tr class="separator:a147524535826b4def3928d24597a117d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30c139080d00d1dadc42634259aff997"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30c139080d00d1dadc42634259aff997"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a30c139080d00d1dadc42634259aff997">eof</a> ()</td></tr>
<tr class="separator:a30c139080d00d1dadc42634259aff997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a945aa2b982aa9bf178589da22acf249e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a945aa2b982aa9bf178589da22acf249e"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a945aa2b982aa9bf178589da22acf249e">error</a> ()</td></tr>
<tr class="separator:a945aa2b982aa9bf178589da22acf249e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a2e87ad7de67a5de817082825e412f5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a2e87ad7de67a5de817082825e412f5"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a1a2e87ad7de67a5de817082825e412f5">getline</a> (<a class="el" href="struct_xs_string.html">XsString</a> &amp;line)</td></tr>
<tr class="memdesc:a1a2e87ad7de67a5de817082825e412f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a full line from the file. <br /></td></tr>
<tr class="separator:a1a2e87ad7de67a5de817082825e412f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee5c85f5934c2fb1471a3192cee68475"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee5c85f5934c2fb1471a3192cee68475"></a>
<a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#aee5c85f5934c2fb1471a3192cee68475">getline</a> (std::string &amp;line)</td></tr>
<tr class="memdesc:aee5c85f5934c2fb1471a3192cee68475"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a full line from the file. <br /></td></tr>
<tr class="separator:aee5c85f5934c2fb1471a3192cee68475"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a19dbe3b5138215d1d409eaafcafdb0fa"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19dbe3b5138215d1d409eaafcafdb0fa"></a>
FILE *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a19dbe3b5138215d1d409eaafcafdb0fa">handle</a> ()</td></tr>
<tr class="separator:a19dbe3b5138215d1d409eaafcafdb0fa"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:af8df320155ea81c3e92ea8b570d1fe2c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af8df320155ea81c3e92ea8b570d1fe2c"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#af8df320155ea81c3e92ea8b570d1fe2c">exists</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;fileName)</td></tr>
<tr class="memdesc:af8df320155ea81c3e92ea8b570d1fe2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the file exists (can be accessed) <br /></td></tr>
<tr class="separator:af8df320155ea81c3e92ea8b570d1fe2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac29be7b13067290d7e634dd5d4f0d0f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac29be7b13067290d7e634dd5d4f0d0f2"></a>
static <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#ac29be7b13067290d7e634dd5d4f0d0f2">erase</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename)</td></tr>
<tr class="memdesc:ac29be7b13067290d7e634dd5d4f0d0f2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a file with name <em>filename</em>. <br /></td></tr>
<tr class="separator:ac29be7b13067290d7e634dd5d4f0d0f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ba957045e50a7dbe9810ded596b5238"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1ba957045e50a7dbe9810ded596b5238"></a>
static <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_xs_file.html#a1ba957045e50a7dbe9810ded596b5238">fullPath</a> (const <a class="el" href="struct_xs_string.html">XsString</a> &amp;filename, <a class="el" href="struct_xs_string.html">XsString</a> &amp;fullPath)</td></tr>
<tr class="memdesc:a1ba957045e50a7dbe9810ded596b5238"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the full path for a filename. <br /></td></tr>
<tr class="separator:a1ba957045e50a7dbe9810ded596b5238"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="related"></a>
Related Functions</h2></td></tr>
<tr><td class="ititle" colspan="2"><p>(Note that these are not member functions.) </p>
</td></tr>
<tr class="memitem:ga064d66d79e9320069db2d090c6eeb1f5"><td class="memItemLeft" align="right" valign="top">
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga064d66d79e9320069db2d090c6eeb1f5">XsFile_destruct</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="memdesc:ga064d66d79e9320069db2d090c6eeb1f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Frees the resources of this object by closing the file if it is open. <br /></td></tr>
<tr class="separator:ga064d66d79e9320069db2d090c6eeb1f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa51b0fb1b006a57bbfb6ae53585f3129"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaa51b0fb1b006a57bbfb6ae53585f3129">XsFile_create</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename, int writeOnly)</td></tr>
<tr class="memdesc:gaa51b0fb1b006a57bbfb6ae53585f3129"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new binary file with name <em>filename</em>, contents of existing files will be discarded.  <a href="group__cinterface.html#gaa51b0fb1b006a57bbfb6ae53585f3129">More...</a><br /></td></tr>
<tr class="separator:gaa51b0fb1b006a57bbfb6ae53585f3129"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga42937d56e76f41a6a3d554c8e4af8288"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga42937d56e76f41a6a3d554c8e4af8288">XsFile_createText</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename, int writeOnly)</td></tr>
<tr class="memdesc:ga42937d56e76f41a6a3d554c8e4af8288"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new text file with name <em>filename</em>, contents of existing files will be discarded.  <a href="group__cinterface.html#ga42937d56e76f41a6a3d554c8e4af8288">More...</a><br /></td></tr>
<tr class="separator:ga42937d56e76f41a6a3d554c8e4af8288"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6ebc5d6ebfb70a766be126db9b502aa"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gae6ebc5d6ebfb70a766be126db9b502aa">XsFile_open</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename, int readOnly)</td></tr>
<tr class="memdesc:gae6ebc5d6ebfb70a766be126db9b502aa"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens an existing binary file with name <em>filename</em>.  <a href="group__cinterface.html#gae6ebc5d6ebfb70a766be126db9b502aa">More...</a><br /></td></tr>
<tr class="separator:gae6ebc5d6ebfb70a766be126db9b502aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea7abae813d5c91aad482bfd7c3c9191"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaea7abae813d5c91aad482bfd7c3c9191">XsFile_openText</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename, int readOnly)</td></tr>
<tr class="memdesc:gaea7abae813d5c91aad482bfd7c3c9191"><td class="mdescLeft">&#160;</td><td class="mdescRight">Opens an existing binary file with name <em>filename</em>.  <a href="group__cinterface.html#gaea7abae813d5c91aad482bfd7c3c9191">More...</a><br /></td></tr>
<tr class="separator:gaea7abae813d5c91aad482bfd7c3c9191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3bf85429b9d60160ef5603b3dc3f8ab4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga3bf85429b9d60160ef5603b3dc3f8ab4">XsFile_reopen</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename, const struct <a class="el" href="struct_xs_string.html">XsString</a> *mode)</td></tr>
<tr class="memdesc:ga3bf85429b9d60160ef5603b3dc3f8ab4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reopens a file.  <a href="group__cinterface.html#ga3bf85429b9d60160ef5603b3dc3f8ab4">More...</a><br /></td></tr>
<tr class="separator:ga3bf85429b9d60160ef5603b3dc3f8ab4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga61fae4e413f8664ddb65aa3163999546"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga61fae4e413f8664ddb65aa3163999546">XsFile_isOpen</a> (const struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="memdesc:ga61fae4e413f8664ddb65aa3163999546"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if a file is open.  <a href="group__cinterface.html#ga61fae4e413f8664ddb65aa3163999546">More...</a><br /></td></tr>
<tr class="separator:ga61fae4e413f8664ddb65aa3163999546"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac94c631f2f9d9e179012ed2a98871e3b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gac94c631f2f9d9e179012ed2a98871e3b">XsFile_exists</a> (const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename)</td></tr>
<tr class="memdesc:gac94c631f2f9d9e179012ed2a98871e3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if the file exists (can be accessed)  <a href="group__cinterface.html#gac94c631f2f9d9e179012ed2a98871e3b">More...</a><br /></td></tr>
<tr class="separator:gac94c631f2f9d9e179012ed2a98871e3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3089b403d22d8d43240d1997cb690b78"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga3089b403d22d8d43240d1997cb690b78">XsFile_close</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="memdesc:ga3089b403d22d8d43240d1997cb690b78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Closes the file.  <a href="group__cinterface.html#ga3089b403d22d8d43240d1997cb690b78">More...</a><br /></td></tr>
<tr class="separator:ga3089b403d22d8d43240d1997cb690b78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacbf44b9ae205722746fa296d3e111487"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gacbf44b9ae205722746fa296d3e111487">XsFile_flush</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="memdesc:gacbf44b9ae205722746fa296d3e111487"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes unwritten data to the file.  <a href="group__cinterface.html#gacbf44b9ae205722746fa296d3e111487">More...</a><br /></td></tr>
<tr class="separator:gacbf44b9ae205722746fa296d3e111487"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga47f9370180a1c55bd3d97e238dd683f4"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga47f9370180a1c55bd3d97e238dd683f4">XsFile_truncate</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, XsSize fileSize)</td></tr>
<tr class="memdesc:ga47f9370180a1c55bd3d97e238dd683f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reduces the file to a maximum size of <em>fileSize</em> bytes.  <a href="group__cinterface.html#ga47f9370180a1c55bd3d97e238dd683f4">More...</a><br /></td></tr>
<tr class="separator:ga47f9370180a1c55bd3d97e238dd683f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4042f9e2dd919f80e2bf6f36643ff806"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga4042f9e2dd919f80e2bf6f36643ff806">XsFile_resize</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, XsSize fileSize)</td></tr>
<tr class="memdesc:ga4042f9e2dd919f80e2bf6f36643ff806"><td class="mdescLeft">&#160;</td><td class="mdescRight">Resizes the file to <em>fileSize</em> bytes.  <a href="group__cinterface.html#ga4042f9e2dd919f80e2bf6f36643ff806">More...</a><br /></td></tr>
<tr class="separator:ga4042f9e2dd919f80e2bf6f36643ff806"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1ee77887428f00e310321d3b92283f40"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga1ee77887428f00e310321d3b92283f40">XsFile_erase</a> (const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename)</td></tr>
<tr class="memdesc:ga1ee77887428f00e310321d3b92283f40"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deletes a file with name <em>filename</em>.  <a href="group__cinterface.html#ga1ee77887428f00e310321d3b92283f40">More...</a><br /></td></tr>
<tr class="separator:ga1ee77887428f00e310321d3b92283f40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0438012f8f5e3bee1140607a8f55703f"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga0438012f8f5e3bee1140607a8f55703f">XsFile_read</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, void *destination, XsSize size, XsSize count)</td></tr>
<tr class="memdesc:ga0438012f8f5e3bee1140607a8f55703f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a number of elements from a file.  <a href="group__cinterface.html#ga0438012f8f5e3bee1140607a8f55703f">More...</a><br /></td></tr>
<tr class="separator:ga0438012f8f5e3bee1140607a8f55703f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab6284b33067d2ddb27fd693eaa718a9d"><td class="memItemLeft" align="right" valign="top">XsSize&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gab6284b33067d2ddb27fd693eaa718a9d">XsFile_write</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const void *source, XsSize size, XsSize count)</td></tr>
<tr class="memdesc:gab6284b33067d2ddb27fd693eaa718a9d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a number of elements to a file.  <a href="group__cinterface.html#gab6284b33067d2ddb27fd693eaa718a9d">More...</a><br /></td></tr>
<tr class="separator:gab6284b33067d2ddb27fd693eaa718a9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga452b2f0a063e2cbc045e824cac0fc253"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga452b2f0a063e2cbc045e824cac0fc253">XsFile_getc</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="memdesc:ga452b2f0a063e2cbc045e824cac0fc253"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets and returns the next byte from a file.  <a href="group__cinterface.html#ga452b2f0a063e2cbc045e824cac0fc253">More...</a><br /></td></tr>
<tr class="separator:ga452b2f0a063e2cbc045e824cac0fc253"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac36bc51cabbeccf1aede6bdb05254d2b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gac36bc51cabbeccf1aede6bdb05254d2b">XsFile_putc</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, int character)</td></tr>
<tr class="memdesc:gac36bc51cabbeccf1aede6bdb05254d2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a character to the file.  <a href="group__cinterface.html#gac36bc51cabbeccf1aede6bdb05254d2b">More...</a><br /></td></tr>
<tr class="separator:gac36bc51cabbeccf1aede6bdb05254d2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3af1d168a6a15a5a82398e1d913365e2"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga3af1d168a6a15a5a82398e1d913365e2">XsFile_gets</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, char *str, int num)</td></tr>
<tr class="memdesc:ga3af1d168a6a15a5a82398e1d913365e2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads characters from this file and stores them into str until (num-1) characters have been read or either a newline or the end-of-file is reached, whichever happens first.  <a href="group__cinterface.html#ga3af1d168a6a15a5a82398e1d913365e2">More...</a><br /></td></tr>
<tr class="separator:ga3af1d168a6a15a5a82398e1d913365e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1415ab1ba8f0657ca0c919741699f1d5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga1415ab1ba8f0657ca0c919741699f1d5">XsFile_puts</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, const char *str)</td></tr>
<tr class="memdesc:ga1415ab1ba8f0657ca0c919741699f1d5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Writes a null terminated c-string to the file.  <a href="group__cinterface.html#ga1415ab1ba8f0657ca0c919741699f1d5">More...</a><br /></td></tr>
<tr class="separator:ga1415ab1ba8f0657ca0c919741699f1d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga35f205a51d86aa4c353d766c40a72b67"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga35f205a51d86aa4c353d766c40a72b67">XsFile_seek</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, <a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> offset)</td></tr>
<tr class="memdesc:ga35f205a51d86aa4c353d766c40a72b67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the current file position relative to the start of the file.  <a href="group__cinterface.html#ga35f205a51d86aa4c353d766c40a72b67">More...</a><br /></td></tr>
<tr class="separator:ga35f205a51d86aa4c353d766c40a72b67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d18f23274da35f606b3fb2cb3c57aa1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga1d18f23274da35f606b3fb2cb3c57aa1">XsFile_seek_r</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, <a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a> offset)</td></tr>
<tr class="memdesc:ga1d18f23274da35f606b3fb2cb3c57aa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Moves the current file position relative to the end of the file.  <a href="group__cinterface.html#ga1d18f23274da35f606b3fb2cb3c57aa1">More...</a><br /></td></tr>
<tr class="separator:ga1d18f23274da35f606b3fb2cb3c57aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaca9721b325509b0762aa9bf0d535e48"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__cinterface.html#gaee1db0cf1b8591c59afba7a3a0d13eb9">XsFilePos</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaaca9721b325509b0762aa9bf0d535e48">XsFile_tell</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="memdesc:gaaca9721b325509b0762aa9bf0d535e48"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the current position in the file.  <a href="group__cinterface.html#gaaca9721b325509b0762aa9bf0d535e48">More...</a><br /></td></tr>
<tr class="separator:gaaca9721b325509b0762aa9bf0d535e48"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga420d8684fb694db045f872c439f3d699"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga420d8684fb694db045f872c439f3d699">XsFile_eof</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="separator:ga420d8684fb694db045f872c439f3d699"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf315890fff13b3527de1bd09ba2b7412"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gaf315890fff13b3527de1bd09ba2b7412">XsFile_error</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="separator:gaf315890fff13b3527de1bd09ba2b7412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e69aa9033af09db2b116ac0869373ce"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga6e69aa9033af09db2b116ac0869373ce">XsFile_fullPath</a> (const struct <a class="el" href="struct_xs_string.html">XsString</a> *filename, struct <a class="el" href="struct_xs_string.html">XsString</a> *<a class="el" href="struct_xs_file.html#a1ba957045e50a7dbe9810ded596b5238">fullPath</a>)</td></tr>
<tr class="memdesc:ga6e69aa9033af09db2b116ac0869373ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retrieves the full path for a filename.  <a href="group__cinterface.html#ga6e69aa9033af09db2b116ac0869373ce">More...</a><br /></td></tr>
<tr class="separator:ga6e69aa9033af09db2b116ac0869373ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga856e9eaad42dcf6955793b17abbc5a4e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#ga856e9eaad42dcf6955793b17abbc5a4e">XsFile_getline</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *, struct <a class="el" href="struct_xs_string.html">XsString</a> *line)</td></tr>
<tr class="memdesc:ga856e9eaad42dcf6955793b17abbc5a4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reads a full line from the file.  <a href="group__cinterface.html#ga856e9eaad42dcf6955793b17abbc5a4e">More...</a><br /></td></tr>
<tr class="separator:ga856e9eaad42dcf6955793b17abbc5a4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc3c0ce8a351ccf5b96dfb989e25302d"><td class="memItemLeft" align="right" valign="top">FILE *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__cinterface.html#gabc3c0ce8a351ccf5b96dfb989e25302d">XsFile_handle</a> (struct <a class="el" href="struct_xs_file.html">XsFile</a> *)</td></tr>
<tr class="separator:gabc3c0ce8a351ccf5b96dfb989e25302d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Encapsulates a file, providing a platform independent interface. </p>
</div></div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Wed May 17 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
